apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Orton <jor...@redhat.com>
Subject Re: Problems with apr
Date Mon, 27 Oct 2003 09:07:49 GMT
Hi Charles,

On Sun, Oct 26, 2003 at 06:51:52AM +0100, Charles Williams wrote:
> I just installed apr (v 0.9.4-2 rpm with devel and apr-utils) with apache
> 2.0.47-10 on a RH9 box to check out the api and maybe get started using it
> for a project.  However, I can't even get apache up and running.  I get the
> following error every time.
> 
> Starting httpd: /usr/sbin/httpd: relocation error: /usr/lib/libapr-0.so.0:
> symbol sys_siglist, version GLIBC_2.3.3 not defined in the file libc.so.6
> with link time reference
> 
> Is this a problem with glibc (I have 2.3.2) not being the correct version or
> is it an actual apr problem?  If it is glibc then where the hell does on
> find 2.3.3?  the official version, and the only one I could find, is 2.3.2?

In general, taking a binary which was built against a new glibc and
trying to run it against an old glibc won't work.  2.3.3 is not
released, but our glibc package in Raw Hide will take patches from CVS
which use 2.3.3 symbol versions.

To get this working you can try downloading the source RPMs for apr,
apr-util and httpd and rebuild and install them (in that order) on the
RHL9 box.

Regards,

joe

Mime
View raw message